Show / Hide Table of Contents

# Class RestConnection

##### Inheritance

System.Object
RestConnection

##### Implements

IConnection

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestConnection : IConnection

### Properties

| Improve this Doc View Source

#### Id

##### Declaration

    public string Id { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### IntegrationIds

##### Declaration

    public IReadOnlyCollection<ulong> IntegrationIds { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<System.UInt64> |

| Improve this Doc View Source

#### IsRevoked

##### Declaration

    public bool IsRevoked { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Type

##### Declaration

    public string Type { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### ToString()

Gets the name of the connection.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | Name of the connection.

##### Overrides

System.Object.ToString()

### Implements

IConnection